/* MinuteMonitor, log duration and display usage for the N900
 * Copyright (c) 2012 David Fries <David@Fries.net> http://david.fries.net/
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 1.0

Rectangle
{
	id: about
	anchors.fill: parent
	color: "black"
	// reminder, store is not available when constructed, don't bind
	// properties until onCompleted
	Component.onCompleted : 
	{
		// The Connections didn't seem to work, but this callback
		// does and gets called from the correct object.
		windowStack.hidden.connect(function()
		{
			about.destroy()
		})
	}
	TextEdit
	{
		color: "white"
		width: about.width
		readOnly: true
		textFormat: TextEdit.RichText
		wrapMode: TextEdit.Wrap
		text:
		"<h2>About</h2>\n" +
		"<h1>MinuteMonitor</h1>\n" +
		"<table>\n"+
		"<tr><td>Author:<td>David Fries <David@Fries.net>\n" +
		"<tr><td>Copyright:<td>(C) 2012, David Fries\n" +
		"<tr><td>Programs:<td>Brief description\n" +
		"<tr><td>MinuteMonitor<td>This program.  Displays stats, " +
			"call log, changes settings, and call types.\n"+
		"<tr><td>MinuteLog<td>Logs the call duration (missing in the "+
			"default N900 event logger).\n"+
		"<tr><td>minute_monitor<td>Small command line program that " +
			"only displays the stats\n"
	}
}
